QuoteMode (Apache Commons CSV 1.0 API)

org.apache.commons.csv

## Enum QuoteMode

- java.lang.Object
- - java.lang.Enum<QuoteMode>
  - - org.apache.commons.csv.QuoteMode

- All Implemented Interfaces:
    Serializable, Comparable<QuoteMode>

      public enum QuoteMode
      extends Enum<QuoteMode>

  Defines quote behavior when printing.
  Version:
    $Id: QuoteMode.java 1612344 2014-07-21 16:32:08Z britter $

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Quotes all fields.
    `MINIMAL` Quotes fields which contain special characters such as a delimiter, quote character or any of the characters in line separator.
    `NON_NUMERIC` Quotes all non-numeric fields.
    `NONE` Never quotes fields.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuoteMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QuoteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final QuoteMode ALL

      Quotes all fields.

    - #### MINIMAL

          public static final QuoteMode MINIMAL

      Quotes fields which contain special characters such as a delimiter, quote character or any of the characters in line separator.

    - #### NON_NUMERIC

          public static final QuoteMode NON_NUMERIC

      Quotes all non-numeric fields.

    - #### NONE

          public static final QuoteMode NONE

      Never quotes fields. When the delimiter occurs in data, it is preceded by the current escape character. If the escape character is not set, printing will throw an exception if any characters that require escaping are encountered.

  - ### Method Detail

    - #### values

          public static QuoteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuoteMode c : QuoteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuoteMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 The Apache Software Foundation. All rights reserved.